/**
 * Copyright 2010 Trustees of the University of Pennsylvania Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package bin

def metridocVersion = '${metridoc.version}'
def cli = new CliBuilder(usage: 'help')
cli.with {
    h longOpt: 'help', 'show usage information'
    v longOpt: 'version', 'version of metridoc'
}

def options = cli.parse(args)
if (options.h) {
    cli.usage()
    return
}

if (options.v) {
    println "MetriDoc version: ${metridocVersion}"
    System.exit(0)
}

def verb = options.arguments().get(0)
def target = options.arguments().get(1)
def resource = options.arguments().get(2)


switch (verb) {
    case "run":
        File file = new File(resource)
        this.class.classLoader.addURL(file.toURI().toURL())
        def runJobInstance = this.class.classLoader.loadClass(target).newInstance()
        runJobInstance.run()
        break
    default:
        println "command ${verb} is not allowed"
        System.exit(-1)
}





